Support » Theme: OceanWP » OceanWP theme broken in WP 5.0

  • Sam Bull

    (@dreamsorcerer)


    The recent releases of this theme are marked as requiring WP 5.0, however the theme is completely broken with this error:

    Call to undefined function wp_body_open() in wp-content/themes/oceanwp/header.php:19

    wp_body_open() is only available in WP 5.2+. At a minimum, please correct the requires line so users don’t install a broken version, but it would be really great if you could fix the error by checking if the function exists first, as I am using Debian’s wordpress package which is 5.0, and will therefore stay on this release for atleast another year.

    • This topic was modified 2 years, 3 months ago by Sam Bull.
Viewing 4 replies - 1 through 4 (of 4 total)
  • Thread Starter Sam Bull

    (@dreamsorcerer)

    1.7.7 appears to be the last working version. All later versions need to be fixed, or their requires field updated to WP 5.2+.

    Hello Sam,

    Thank you for reporting it. I tested the theme but didn’t see any issue as you have. I’ll definitely test it again and fix it in the next update of the theme.

    Thread Starter Sam Bull

    (@dreamsorcerer)

    Hmm, that’s weird. Logically, you should be unable to display any page on the frontend using this theme, as that header.php is going to hit that error every time.

    You can check the documentation and see that the function was only introduced in 5.2, so there is no way it should work in older releases:
    https://developer.wordpress.org/reference/functions/wp_body_open/

    Hello,

    Il have the same problem.

    wp-content/themes/oceanwp/header.php on line 19

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘OceanWP theme broken in WP 5.0’ is closed to new replies.